Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 444165 - Review Request: mkrdns - automatic reverse DNS zone generator
Summary: Review Request: mkrdns - automatic reverse DNS zone generator
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Till Maas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-04-25 15:49 UTC by Jonathan Steffan
Modified: 2008-12-16 01:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-16 01:29:21 UTC
opensource: fedora-review-


Attachments (Terms of Use)

Description Jonathan Steffan 2008-04-25 15:49:06 UTC
Spec URL: http://jsteffan.fedorapeople.org/SRPMS/mkrdns.spec
SRPM URL: http://jsteffan.fedorapeople.org/SRPMS/mkrdns-3.3-1.fc8.src.rpm
Description: An automatic reverse DNS zone generator

Comment 1 Till Maas 2008-05-03 19:44:01 UTC
NEEDSWORK: rpmlint
mkrdns.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 1, tab: line 11)
- after Buildarch: and Requires: you inserted tabs but after all other tags you
only used spaces, therefore you should change this. You should remove the
"Requires" anyhow, because they are already added automatically by rpm for perl
requirements.

Naming: ok
License: ok (GPLv2+), not included
Building: ok, builds in koji
Clean section: ok
Macro Usage: ok
Source Package: ok, matches upstream, latest version:
474ffb39d1eb615d0e9d8a7d52a27953  mkrdns-3_3.gz
474ffb39d1eb615d0e9d8a7d52a27953  mkrdns-3.3-1.fc8/mkrdns-3_3.gz

Buildroot: ok
%files: ok

Besides the mixed whitespace, there is another minor issue:
You write /usr/bin/pod2man instead of just pod2man, which does not make sense to
me, because on my machine install is also in /usr/bin and you rely on /usr/bin
being in the path there.

Also the timestamp of the executable is lost, maybe you can change the spec to
preserve it, but I do not know a good way to do this.

In conclusion: Remove the tab after Buildarch, remove the Requires: and remove
the /usr/bin from the pod2man invocation, then I will approve this package.

Comment 2 manuel wolfshant 2008-05-04 02:04:05 UTC
WRT the timestamp": try
  zcat %{SOURCE0} > $RPM_BUILD_ROOT%{_bindir}/mkrdns
  chmod 0755 $RPM_BUILD_ROOT%{_bindir}/mkrdns
  touch -r ${SOURCE0}  $RPM_BUILD_ROOT%{_bindir}/mkrdns

Comment 3 Till Maas 2008-05-14 21:17:37 UTC
ping?

Comment 4 Brian Pepple 2008-08-11 00:19:46 UTC
Are you still wishing to submit this package to Fedora?  There's been no reply to Till's review 3 months ago.

Comment 5 Jonathan Steffan 2008-08-11 19:10:58 UTC
I'll put some more work into this shortly. I sent a patch upstream and never got a response back. I'll try again with upstream, and if that fails, should I carry the patch in the package?

Comment 6 Till Maas 2008-08-13 08:09:49 UTC
You can ship the package with your own patch, if you do not reach upstream. But please keep trying, maybe upstream is on vacation or lost your previous mails.

Comment 7 Till Maas 2008-11-07 11:45:44 UTC
Is there some estimate when this review can be finished?

Comment 8 Till Maas 2008-12-16 01:29:21 UTC
If you want to finish the package, please reopen.


Note You need to log in before you can comment on or make changes to this bug.